Browse Source

beagleboard: upgrade u-boot to the latest version

Now the latest version of u-boot is 2013.07 and it depends on
its own MLO, instead of x-load, as the Second Program Loader. So remove
x-load and use u-boot's MLO.

And also replace u-boot.bin with u-boot.img as the u-boot image file.

(From meta-yocto rev: 468326eca78f1fc16f83d2a1fc06a66fae2e6ba1)

Signed-off-by: Liming Wang <liming.wang@windriver.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
set-pr-number
Liming Wang 8 years ago
committed by Richard Purdie
parent
commit
3aa68fd901
  1. 4
      meta-yocto-bsp/conf/machine/beagleboard.conf

4
meta-yocto-bsp/conf/machine/beagleboard.conf

@ -13,7 +13,7 @@ XSERVER ?= "xserver-xorg \
MACHINE_EXTRA_RRECOMMENDS = " kernel-modules"
# Allow for MMC booting (required by the NAND-less Beagleboard XM)
EXTRA_IMAGEDEPENDS += "u-boot x-load"
EXTRA_IMAGEDEPENDS += "u-boot"
# Uncomment the following line to enable the hard floating point abi. Note that
# this breaks some binary libraries and 3D (neither of which ship with
@ -33,6 +33,8 @@ PREFERRED_VERSION_linux-yocto ?= "3.4%"
KERNEL_IMAGETYPE = "uImage"
SPL_BINARY = "MLO"
UBOOT_SUFFIX = "img"
UBOOT_MACHINE = "omap3_beagle_config"
UBOOT_ENTRYPOINT = "0x80008000"
UBOOT_LOADADDRESS = "0x80008000"

Loading…
Cancel
Save